# include <string.h>
# include "size.h"
# include "extern.h"

extern struct yysymbol token[MaxK];
extern struct yysymbol type[MaxP];

/*  return positive number in token list, 
 *  negative number in type list, 
 *  zero if not found 
*/

int find_name(char * name)
{
  int i;
  for (i=1; i<=MaxK; i++)
    if (strcmp(name, token[i].name)==0) return (i);
  for (i=1; i<=MaxP; i++)
    if (strcmp(name, type[i].name)==0) return (-i);
  return 0;
}
